Page MenuHomePhabricator

Date and some other type of values sometimes cut off when saving
Closed, ResolvedPublic

Description

sometimes dates get prematurely saved with the value (e.g. year) cut off or short.

this is what i entered and is displayed ("1 March 2008") on https://test.wikidata.org/wiki/Q22 before reloading:

in the history, "Changed claim: Property:P121: 1 March 200)"

on reload:

the issue especially happens if I hit save too quickly. It's as if the formatting is not completed when it saves.

this issue might also happen with other data types, like strings and wikibase item id values.

Event Timeline

aude created this task.Mar 16 2015, 2:27 PM
aude raised the priority of this task from to Needs Triage.
aude updated the task description. (Show Details)
aude added a subscriber: aude.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 16 2015, 2:27 PM
aude added a comment.Mar 16 2015, 2:28 PM

in many cases, i might never reload the page or check the history, so the error could easily go unnoticed.

aude added a comment.Mar 16 2015, 2:36 PM

on my dev wiki:

5 out of 10 of these date edits got cut off. :(

aude triaged this task as High priority.Mar 16 2015, 2:36 PM
aude set Security to None.
aude renamed this task from Date (and maybe other types) values cut off when saving to Date and some other type of values sometimes cut off when saving.Mar 24 2015, 2:05 PM
aude added a comment.Apr 2 2015, 12:19 PM

https://github.com/wmde/ValueView/pull/169 should help but think we need to do more than this to completely fix the issue.

Would the best solution here not be to record the value in the input box when the parse call is done, on return on the parse call if the value in the input box has changed then DO NOT enable the save button and instead fire another parse call?

aude closed this task as Resolved.Apr 2 2015, 4:46 PM
aude moved this task from Review to Done on the § Wikidata-Sprint-2015-03-24 board.
aude removed a project: Patch-For-Review.
aude claimed this task.Apr 2 2015, 9:37 PM